@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}

.main-approve-line {
  display: flex;
  justify-content: space-between;
  padding: 24px 18px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    margin-right: 10px;
    &__button-default {
      border: none;
      font-weight: bold;
      color: $primary-button-color;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
      font-weight: bold;
    }
  }
}

.main-approve-line-card {
  border-radius: 16px;
  &__button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-right: 16px;
  }

  &__button-search {
    display: flex;
    margin-top: 25px;
  }
  &__button-search-style {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    width: 170px;
    border-radius: 8px;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 48px;
    background: #E8EAF6;
    margin-right: 16px;
    font-weight: bold;
  }

  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
      }
    }

    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
            border-radius: 10px !important;
            min-height: 48px;
            display: flex;
            align-items: center;
        }
        .ant-select-selection-search-input {
            height: 100% !important;
        }
      }
    }

    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight:bold;
    }
  }
  &__bot {
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 48px;
      }
    }
  }
  &__center {
    padding-left: 15px;
    .ant-picker {
      width: 100%;
      border-radius: 10px !important;
      min-height: 48px;
    }
    &__label {
      font-size: 14px;
      line-height: 26px;
      font-weight: bold;
    }
  }
}

::ng-deep {
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
}

.main-list-line-card__table--action__menu--item {
  &__text {
    margin-left: 15px;
  }

  &__icon {
    margin-right: 0px;
  }
}

.pagination {
  display: flex;
  justify-content: space-between;
  &__icon {
    display: flex;
  }
  &__table-info {
    display: flex;
    column-gap: 10px;
    align-items: center;
    padding-left: 1rem;
    &--text {
      white-space: nowrap;
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 150%;
      color: #4e4b66;
    }
  }
}

.jd-table {
  min-width: 100%;
  margin-top: 16px;
  &__label {
      font-weight: bold;
      font-size: 14px;
      line-height: 120%;
      background: rgba(232, 234, 246, 1);
  }
  &__name {
      display: flex;
      &--level {
          padding-left: 10%;
      }
  }
}
.mg-table {
  margin-top: 30px;
}
.input-style {
  margin: 30px 0px 12px 0px;
  &__input {
    ::ng-deep {
      .ant-input {
        box-shadow: 0px 12px 57px rgba(75, 99, 226, 0.0527223), 0px 5.35455px 19.0824px rgba(75, 99, 226, 0.08);
        border-radius: 8px !important;
        height: 50px;
      }
    }
  }
}
.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  color:$bg-error-red;
  font-size: 12px;
  font-family: avertaL,sans-serif;
  margin-top: 10px;
}
